﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="Sample.Default" %>

<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ" %>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <script id="templateVehicle" type="text/template">
        <div class="main-container inside">
            <input type="hidden" id="VehicleCode" value="{{:VehicleCode}}" />
            <input type="hidden" id="EmployeeId" value="{{:EmployeeId}}" />
            <input type="hidden" id="VehicleId" value="{{:VehicleId}}" />
            <input type="hidden" id="Colour" value="{{:Colour}}" />
            <input type="hidden" id="DaysinYear" value="{{:DaysinYear}}" />
            <input type="hidden" id="Daysavail" value="{{:Daysavail}}" />
            <input type="hidden" id="ManufactureYear" value="{{:ManufactureYear}}" />
            <input type="hidden" id="EmployeePackageId" value="{{:EmployeePackageId}}" />
            <input type="hidden" id="EmployerId" value="{{:EmployerId}}" />
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">Make & Model:</span>
                    <input type="text" class="textbox" id="VehicleMake" value="{{:VehicleMake}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">Vehicle FBT Type:</span>
                    <select id="Model" name="Model" data-selected="{{:Model}}"><option value="">-- Select --</option>
                    </select>
                </div>
                <div class="fieldEj">
                    <span class="lbl">Lease 1st Held Date</span>
                    <input type="text" class="textbox date" id="PurchaseDate" value="{{:PurchaseDate}}" />
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">FBT Base Value:</span>
                    <input type="text" class="textbox currency" id="PurchasePrice" value="{{:PurchasePrice}}"   />
                </div>
                <div class="fieldEj">
                    <span class="lbl">Rego:</span>
                    <input type="text" class="textbox" id="Rego" value="{{:Rego}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">State:</span>
                    <select id="StateReg" name="StateReg" data-selected="{{:StateReg}}">
                        <option value="">-- Select --</option>
                        <option value="ACT">ACT</option>
                        <option value="NSW">NSW</option>
                        <option value="NT">NT</option>
                        <option value="QLD">QLD</option>
                        <option value="SA">SA</option>
                        <option value="TAS">TAS</option>
                        <option value="VIC">VIC</option>
                        <option value="WA">WA</option>
                    </select>
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">Fuel Card No:</span>
                    <input type="text" class="textbox number" id="ShellCardNo" value="{{:ShellCardNo}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">FBT Start:</span>
                    <input type="text" class="textbox date" id="Date1" value="{{:Date1}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">FBT End:</span>
                    <input type="text" class="textbox date" id="Date2" value="{{:Date2}}" />
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">Employee Cont:</span>
                    <input type="text" class="textbox currency" id="EmployeeCont" value="{{:EmployeeCont}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">Start Odometer:</span>
                    <input type="text" class="textbox number" id="OdometerReading1" value="{{:OdometerReading1}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">End Odometer</span>
                    <input type="text" class="textbox number" id="OdometerReading2" value="{{:OdometerReading2}}" />
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">NRC Date:</span>
                    <input type="date" class="textbox date" id="NewRateCommencementDate" value="{{:NewRateCommencementDate}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">Reason:</span>
                    <select id="NewRateReason" name="NewRateReason" data-selected="{{:NewRateReason}}"><option value="">-- Select --</option>
                    </select>
                </div>
                <div class="fieldEj">
                    <span></span>
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">Total Kms:</span>
                    <input type="text" class="textbox number" id="Kms" value="{{:Kms}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">Business Use %:</span>
                    <input type="text" class="textbox number" id="BusinessUsePerc" value="" />
                </div>
                 <div class="fieldEj">
                    <span class="lbl">Business Use Kms:</span>
                    <input type="text" class="textbox number" id="BusinessUse" value="{{:BusinessUse}}" readonly />
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">Cents Per Km:</span>
                    <input type="text" class="textbox  currency" id="CentsPerKm" value="{{:CentsPerKm}}" readonly/>
                </div>
                <div class="fieldEj">
                    <span class="lbl">Private Use %:</span>
                    <input type="text" class="textbox number" id="PrivateUsePerc" value="" readonly/>
                </div>
                <div class="fieldEj">
                    <span class="lbl">Private Use Kms:</span>
                    <input type="text" class="textbox number" id="PrivateKms" value="{{:PrivateKms}}" readonly/>
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">Stat Rate:</span>
                    <input type="text" class="textbox number" id="StatReate" value="" readonly/>
                </div>
                <div class="fieldEj">
                    <span class="lbl">FBT Category:</span>
                    <input type="text" class="textbox" id="FBTCode" value="{{:FBTCode}}" readonly />
                </div>
                <div class="fieldEj">
                    <span class="lbl">Running Costs:</span>
                    <input type="text" class="textbox  currency" id="Runningcosts" value="{{:Runningcosts}}" readonly />
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">FBT Taxable:</span>
                    <input type="text" class="textbox  currency" id="FBTValue" value="{{:FBTValue}}" readonly />
                </div>
                <div class="fieldEj">
                    <span class="lbl">FBT Tax:</span>
                    <input type="text" class="textbox currency" id="FBTTax" value="{{:FBTTax}}" readonly/>
                </div>
                <div class="fieldEj">
                    <span class="lbl">FBT Year (Current)</span>
                    <input type="text" class="textbox number"  id="FBTYearCurrent" readonly/>
                </div>
            </div>
            <div class="s-row">
                <div class="fieldEj">
                    <span class="lbl">Novated Start:</span>
                    <input type="text" class="textbox date" id="NovatedStartDate" value="{{:NovatedStartDate}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">Novated End:</span>
                    <input type="text" class="textbox date" id="NovatedEnd" value="{{:NovatedEnd}}" />
                </div>
                <div class="fieldEj">
                    <span class="lbl">FBT Year:</span>
                    <select id="EffectiveFBTYear" name="EffectiveFBTYear" data-selected="{{:EffectiveFBTYear}}">
                        <option value="">-- Select --</option>
                    </select>
                </div>
            </div>
        
           
        </div>


    </script>
  <div>
        <%--<ej:DataManager runat="server"  ID="Data1" URL="Default.aspx/Data1"  Adaptor="WebMethodAdaptor" />--%>
     
           
    </div>

        <ej:Grid ID="GridVehicles" runat="server"  AllowResizeToFit="true" SelectionType ="Single" >
                <EditSettings AllowAdding="true" AllowEditing="true" EditMode="InlineFormTemplate"  InlineFormTemplateID="#templateVehicle" />

                <ToolbarSettings  ShowToolbar="true" ToolbarItems="add,edit,cancel" ></ToolbarSettings>
                <Columns>
                    <ej:Column  Field="VehicleCode" Visible="false"  ></ej:Column>
                    <ej:Column  Field="EmployeeId" Visible="false"></ej:Column>
                    <ej:Column Field="VehicleId"  IsPrimaryKey="true"></ej:Column>
                    <ej:Column Field="Rego" ></ej:Column>
                    <ej:Column HeaderText="Make & Model" Field="VehicleMake">
                        <ValidationRule>
                            <ej:KeyValue Key="required" Value="true" ></ej:KeyValue>
                        </ValidationRule>
                    </ej:Column>
                    <ej:Column HeaderText="FBT Start" Field="Date1" Format="{0:dd/MM/yyyy}" TextAlign="Center"></ej:Column>
                    <ej:Column HeaderText="FBT End" Field="Date2" Format="{0:dd/MM/yyyy}" TextAlign="Center"></ej:Column>
                    <ej:Column  Field="Model"></ej:Column>
                    <ej:Column  Field="Colour" Visible="false"></ej:Column>
                    <ej:Column  Field="StateReg"></ej:Column>
                    <ej:Column HeaderText="Start Odometer" Field="OdometerReading1" TextAlign="Right"></ej:Column>
                    <ej:Column HeaderText="End Odometer" Field="OdometerReading2" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="ShellCardNo"></ej:Column>
                    <ej:Column HeaderText="Lease 1st Held Date" Field="PurchaseDate"  Format="{0:dd/MM/yyyy}" TextAlign="Center">
                        <ValidationRule>
                            <ej:KeyValue Key="required" Value="true" ></ej:KeyValue>
                        </ValidationRule>
                    </ej:Column>
                    <ej:Column HeaderText="FBT Base Value" Field="PurchasePrice"  Format="{0:C2}" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="DaysinYear" TextAlign="Right"></ej:Column>
                    <ej:Column HeaderText="Days Available" Field="Daysavail" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="Runningcosts"  Format="{0:C2}" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="Kms" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="EmployeeCont"  Format="{0:C2}" TextAlign="Right">
                        <ValidationRule>
                            <ej:KeyValue Key="required" Value="true" ></ej:KeyValue>
                        </ValidationRule>
                    </ej:Column>
                    <ej:Column  Field="CentsPerKm" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="PrivateKms" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="BusinessUse" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="FBTTax"  Format="{0:C2}" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="FBTValue"  Format="{0:C2}" TextAlign="Right"></ej:Column>
                    <ej:Column  Field="FBTCode"></ej:Column>
                    <ej:Column  Field="ManufactureYear" Visible="false"></ej:Column>
                    <ej:Column  Field="NewRateCommencementDate"  Format="{0:dd/MM/yyyy}" TextAlign="Center"></ej:Column>
                    <ej:Column  Field="NewRateReason" Visible="false"></ej:Column>
                    <ej:Column  Field="EmployeePackageId" Visible="false"></ej:Column>
                    <ej:Column  Field="EmployerId"  Visible="false"></ej:Column>
                    <ej:Column  Field="NovatedStartDate"  Format="{0:dd/MM/yyyy}" TextAlign="Center"></ej:Column>
                    <ej:Column  Field="NovatedEnd"  Format="{0:dd/MM/yyyy}" TextAlign="Center"></ej:Column>
                    <ej:Column  Field="EffectiveFBTYear" TextAlign="Right"></ej:Column>
                </Columns>
            </ej:Grid>
         
      

</asp:Content>
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
     <%-- <script>
       function click(args) {
           var gridObj = $("#<%= Grid.ClientID %>").data("ejGrid");
              gridObj.print();
           }
       </script>
    </asp:Content>--%>
      <%--</asp:Content>--%>

   <%-- <asp:Content ID="ScriptContent" runat="server" ContentPlaceHolderID="ScriptSection">--%>
    
  <%-- </asp:Content>--%>

    <%-- <ToolbarSettings ShowToolbar="true" ToolbarItems="printGrid">
               <CustomToolbarItem>
                    <ej:CustomToolbarItem TemplateID="#Refresh" />
                </CustomToolbarItem>
           </ToolbarSettings>
            <ClientSideEvents ToolbarClick="onToolBarClick" ActionBegin="action" />--%>
 <%--<script id="Refresh" type="text/x-jsrender">
        <a class="e-toolbaricons refresh" />
    </script>
    <script type="text/javascript">
        function onToolBarClick(sender) {
            if(sender.itemName == "Refresh")
                this.refreshContent();
        }
        function action(args) {
        if(args.requestType == "print")
            this.model.allowScrolling = true;
        }
    </script>
<style type="text/css" class="cssStyles">
        .refresh {
            background-position: -76px 3px;
        }
        .e-toolbaricons {
            background-image: url("Themes/common-images/icons-gray.png");
        }
         .Expand:hover, .Collapse:hover, .refresh:hover {
            background-image: url("Themes/common-images/icons-white.png");
        }
    </style>--%>

 <%--<div>
         
        <ej:Grid ID="Grid" runat="server" AllowPaging="True" AllowSorting="True" AllowGrouping="True" OnServerWordExporting="Grid_ServerWordExporting" OnServerPdfExporting="Grid_ServerPdfExporting" OnServerExcelExporting="Grid_ServerExcelExporting">
            <ToolbarSettings ShowToolbar="true" ToolbarItems="excelExport,wordExport,pdfExport"></ToolbarSettings>
            <Columns>
                <ej:Column Field="OrderID" HeaderText="Order ID" Width="75" TextAlign="Right"/>
                <ej:Column Field="CustomerID" Width="80"/>
                <ej:Column Field="Freight" HeaderText="Freight" Format="{0:C}" TextAlign="Right"  Width="75"/>
                <ej:Column Field="OrderDate" Format="{0:MM/dd/yyyy}"  Width="80" TextAlign="Right"/>
                <ej:Column Field="ShipCity" HeaderText="Ship City" Width="110"/>
           </Columns>   
         </ej:Grid>
     </div>--%>
