﻿using MVCSampleBrowser.Models;
using Sample.Models;
using Syncfusion.JavaScript;
using Syncfusion.JavaScript.DataSources;
using Syncfusion.JavaScript.Models;
using Syncfusion.JavaScript.Web;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Script.Services;
using System.Web.Services;
using System.Web.UI;
using System.Web.UI.WebControls;


using Syncfusion.Linq;

using System.Collections;
using Sample118221.Models;

namespace Sample
{
    public partial class Default : System.Web.UI.Page
    {

        public static List<Orders> order = new List<Orders>();
        public static List<Employees> Employee = new List<Employees>();
       
     
        protected void Page_Load(object sender, EventArgs e)

        {
            //this.FlatGrid.Columns[2].DataSource = Employee;
            //this.FlatGrid.DataBind();
            BindDataSource();
            BindData();

        }

        private void BindDataSource()
        {

            int code = 10000;
            int i = 0;
          
            
                order.Add(new Orders(code + 1, "ALFKI", i + 0, 2.3 * i, new DateTime(1991, 05, 15), "Berlin",true));

                order.Add(new Orders(code + 2, "ANATR", i + 2, 3.3 * i, new DateTime(1990, 04, 04), "Madrid",false));

                order.Add(new Orders(code + 3, "ANTON", i + 1, 4.3 * i, new DateTime(1957, 11, 30), "Cholchester",true));

                order.Add(new Orders(code + 4, "BLONP", i + 3, 5.3 * i, new DateTime(1930, 10, 22), "Marseille",true));

                order.Add(new Orders(code + 5, "BOLID", i + 4, 6.3 * i, new DateTime(1953, 02, 18), "Tsawassen",false));

              

            //this.FlatGrid.DataSource = order;
            //this.FlatGrid.DataBind();

        }

        private void BindData()
        {
            Employee.Add(new Employees(0, "Nancy", "Bracke", 1048));
            Employee.Add(new Employees(1, "Andreq", "Strasbourg", 1056));
            Employee.Add(new Employees(2, "Janet", "USA", 1057));
            Employee.Add(new Employees(3, "Anton", "USA", 1067));
            Employee.Add(new Employees(4, "Nancy", "UK", 1078));
            Employee.Add(new Employees(5, "Margret", "USA", 1088));
            Employee.Add(new Employees(8, "Steven", "Bracke", 1099));
            Employee.Add(new Employees(9, "Laura", "Strasbourg", 1020));
            Employee.Add(new Employees(10, "Sans", "Oulu", 1011));
           

        }
        [Serializable]
        public class Employees
        {
            public Employees()
            {

            }
            public Employees(int EmployeeID, string FirstName, string Country, int ID)
            {

                this.EmployeeID = EmployeeID;
                this.FirstName = FirstName;
                this.Country = Country;
                this.ID = ID;

            }

            public int EmployeeID { get; set; }
            public string FirstName { get; set; }
            public string Country { get; set; }
            public int ID { get; set; }


        }
       
        

        [Serializable]

        public class Orders
        {

            public Orders()
            {



            }

            public Orders(long OrderId, string CustomerId, int EmployeeId, double Freight, DateTime OrderDate, string ShipCity, bool Verified)
            {

                this.OrderID = OrderId;

                this.CustomerID = CustomerId;

                this.EmployeeID = EmployeeId;

                this.Freight = Freight;

                this.OrderDate = OrderDate;

                this.ShipCity = ShipCity;

                this.Verified = Verified;

            }

            public long OrderID { get; set; }

            public string CustomerID { get; set; }

            public int EmployeeID { get; set; }

            public double Freight { get; set; }

            public DateTime OrderDate { get; set; }

            public string ShipCity { get; set; }

            public bool Verified { get; set; }

        }
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object DataSource(Syncfusion.JavaScript.DataManager value)
        {

            IEnumerable GridData = order;
            IEnumerable empData = Employee;
            DataOperations ds = new DataOperations();
            if (value.Where != null && value.Where.Count > 0) //Filtering
            {
                GridData = ds.PerformWhereFilter(GridData, value.Where, value.Where[0].Operator);
            }

            var count = GridData.Cast<Orders>().Count();

           
            if (value.Skip > 0)
                GridData = ds.PerformSkip(GridData, value.Skip);
          
            if(value.Take > 0)
               GridData = ds.PerformTake(GridData, value.Take);

            return new { result = GridData, count = count };
        }

        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static void UrlUpdate(Orders value)
        {
            Orders result = order.Where(o => o.OrderID == value.OrderID).FirstOrDefault();
            if (result != null)
            {
                result.OrderID = value.OrderID;
                result.OrderDate = value.OrderDate;
                result.CustomerID = value.CustomerID;
                result.EmployeeID = value.EmployeeID;
                result.Freight = value.Freight;
                result.ShipCity = value.ShipCity;

            }
        }
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object UrlInsert(Orders value)
        {
            order.Insert(0, value);
            return order;
        }
        [WebMethod]
        [ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        public static object UrlDelete(int key)
        {
            Orders result = order.Where(o => o.OrderID == key).FirstOrDefault();
            order.Remove(result);
            return order;
        }
        //[WebMethod]
        //[ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        //public static void BatchUpdate(string action, List<EditableOrder> added, List<EditableOrder> changed, List<EditableOrder> deleted)
        //{
        //    if (changed != null)
        //        OrderRepository.Update(changed);
        //    if (deleted != null)
        //        OrderRepository.Delete(deleted);
        //    if (added != null)
        //        OrderRepository.Add(added);
        //    var data = OrderRepository.GetAllRecords().Take(20);
        //    return Json(data);

        //}


        //[WebMethod]
        //[ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        //public static object Data1(Syncfusion.JavaScript.DataManager value)
        //{
        //    IEnumerable DataSource = OrderRepository.GetAllRecords();
        //    DataResult result = new DataResult();
        //    DataOperations operation = new DataOperations();
        //    result.result = DataSource;
        //    result.count = result.result.AsQueryable().Count();
        //    if (value.Skip > 0)
        //        result.result = operation.PerformSkip(result.result, value.Skip);
        //    if (value.Take > 0)
        //        result.result = operation.PerformTake(result.result, value.Take);
        //    return result;
        //}

        //public class DataResult
        //{
        //    public IEnumerable result { get; set; }
        //    public int count { get; set; }
        //}
        //[WebMethod]
        //[ScriptMethod(ResponseFormat = ResponseFormat.Json)]
        //public static object Insert(Orders ord)
        //{
        //    Random ran = new Random();
        //    ord.OrderID = ran.Next();
        //    order.Insert(0, ord);
        //    return ord; 
        //}
    }
    }

